intro:
  namespace: "Organisms/TM - Intro"
  use: "@organisms/tm-intro/intro/intro.twig"
  label: Intro
  description: A highlighted stand first intro with optional link
  libraries:
    - intro_lib:
        css:
          component:
            ../styles/intro.css: { weight: 10 }

  fields:
    content:
      type: text
      label: Content
      preview:
        faker: lorem.paragraphs
    link:
      type: object
      label: Link
      description: A link render array
      preview:
        'url': URL
        'title': Link text

  settings:
    intro_classes:
      type: textfield
      label: Intro classes
    button_classes:
      type: textfield
      label: Button classes
    attributes:
      type: attributes
      label: Attributes
